Bug 844696 - Volume set help|help-xml should be a (lockless) non-cluster operation.
Volume set help|help-xml should be a (lockless) non-cluster operation.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 08:20 EDT by krishnan parthasarathi
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:59:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description krishnan parthasarathi 2012-07-31 08:20:49 EDT
Description of problem:
"gluster volume set help (or help-xml)" is implemented as a cluster-wide operation. This makes querying for a static (and local) information more costly than it ought to be. This would make it prohibitive for any UI (eg. OVirt for glusterfs) built on top of glusterd.

Version-Release number of selected component (if applicable):
mainline

How reproducible:
Consistent

Steps to Reproduce:
1. Issue "gluster volume set help" (or help-xml)
2.
3.
  
Actual results:
 Must notice messages exchanged among glusterd peers (eg. lock op, stage op, etc)

Expected results:
 Must not see any messages exchanged among peers on issuing gluster volume set help (or help-xml)

Additional info:
Comment 1 krishnan parthasarathi 2012-08-08 03:16:51 EDT
Patch accepted on master - http://review.gluster.com/3761

Note You need to log in before you can comment on or make changes to this bug.